<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>ParseException</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ParseException";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParseException.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/ParseException.html" target="_top">Frames</a></li>
<li><a href="ParseException.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.dpp</div>
<h2 title="Class ParseException" class="title">Class ParseException</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Throwable</li>
<li>
<ul class="inheritance">
<li>java.lang.Exception</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.dpp.ParseException</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">ParseException</span>
extends java.lang.Exception</pre>
<div class="block">This exception is thrown when parse errors are encountered.
 You can explicitly create objects of this exception type by
 calling the method generateParseException in the generated
 parser.

 You can modify this class to customize your error reporting
 mechanisms so long as you retain the public fields.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../serialized-form.html#fr.inria.alpage.frmgcm.dpp.ParseException">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#currentToken">currentToken</a></strong></code>
<div class="block">This is the last token that has been consumed successfully.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#eol">eol</a></strong></code>
<div class="block">The end of line string for this machine.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#expectedTokenSequences">expectedTokenSequences</a></strong></code>
<div class="block">Each entry in this array is an array of integers.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static long</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#serialVersionUID">serialVersionUID</a></strong></code>
<div class="block">The version identifier for this Serializable class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#tokenImage">tokenImage</a></strong></code>
<div class="block">This is a reference to the "tokenImage" array of the generated
 parser within which the parse error occurred.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#ParseException()">ParseException</a></strong>()</code>
<div class="block">The following constructors are for use by you for whatever
 purpose you can think of.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#ParseException(java.lang.String)">ParseException</a></strong>(java.lang.String&nbsp;message)</code>
<div class="block">Constructor with message.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#ParseException(fr.inria.alpage.frmgcm.dpp.Token,%20int[][],%20java.lang.String[])">ParseException</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentTokenVal,
              int[][]&nbsp;expectedTokenSequencesVal,
              java.lang.String[]&nbsp;tokenImageVal)</code>
<div class="block">This constructor is used by the method "generateParseException"
 in the generated parser.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#add_escapes(java.lang.String)">add_escapes</a></strong>(java.lang.String&nbsp;str)</code>
<div class="block">Used to convert raw characters to their escaped version
 when these raw version cannot be used as part of an ASCII
 string literal.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/dpp/ParseException.html#initialise(fr.inria.alpage.frmgcm.dpp.Token,%20int[][],%20java.lang.String[])">initialise</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentToken,
          int[][]&nbsp;expectedTokenSequences,
          java.lang.String[]&nbsp;tokenImage)</code>
<div class="block">It uses "currentToken" and "expectedTokenSequences" to generate a parse
 error message and returns it.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Throwable">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Throwable</h3>
<code>addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="serialVersionUID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>serialVersionUID</h4>
<pre>private static final&nbsp;long serialVersionUID</pre>
<div class="block">The version identifier for this Serializable class.
 Increment only if the <i>serialized</i> form of the
 class changes.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../../constant-values.html#fr.inria.alpage.frmgcm.dpp.ParseException.serialVersionUID">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="currentToken">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentToken</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a> currentToken</pre>
<div class="block">This is the last token that has been consumed successfully.  If
 this object has been created due to a parse error, the token
 followng this token will (therefore) be the first error token.</div>
</li>
</ul>
<a name="expectedTokenSequences">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>expectedTokenSequences</h4>
<pre>public&nbsp;int[][] expectedTokenSequences</pre>
<div class="block">Each entry in this array is an array of integers.  Each array
 of integers represents a sequence of tokens (by their ordinal
 values) that is expected at this point of the parse.</div>
</li>
</ul>
<a name="tokenImage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tokenImage</h4>
<pre>public&nbsp;java.lang.String[] tokenImage</pre>
<div class="block">This is a reference to the "tokenImage" array of the generated
 parser within which the parse error occurred.  This array is
 defined in the generated ...Constants interface.</div>
</li>
</ul>
<a name="eol">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eol</h4>
<pre>protected&nbsp;java.lang.String eol</pre>
<div class="block">The end of line string for this machine.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ParseException(fr.inria.alpage.frmgcm.dpp.Token, int[][], java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseException</h4>
<pre>public&nbsp;ParseException(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentTokenVal,
              int[][]&nbsp;expectedTokenSequencesVal,
              java.lang.String[]&nbsp;tokenImageVal)</pre>
<div class="block">This constructor is used by the method "generateParseException"
 in the generated parser.  Calling this constructor generates
 a new object of this type with the fields "currentToken",
 "expectedTokenSequences", and "tokenImage" set.</div>
</li>
</ul>
<a name="ParseException()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ParseException</h4>
<pre>public&nbsp;ParseException()</pre>
<div class="block">The following constructors are for use by you for whatever
 purpose you can think of.  Constructing the exception in this
 manner makes the exception behave in the normal way - i.e., as
 documented in the class "Throwable".  The fields "errorToken",
 "expectedTokenSequences", and "tokenImage" do not contain
 relevant information.  The JavaCC generated code does not use
 these constructors.</div>
</li>
</ul>
<a name="ParseException(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ParseException</h4>
<pre>public&nbsp;ParseException(java.lang.String&nbsp;message)</pre>
<div class="block">Constructor with message.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="initialise(fr.inria.alpage.frmgcm.dpp.Token, int[][], java.lang.String[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initialise</h4>
<pre>private static&nbsp;java.lang.String&nbsp;initialise(<a href="../../../../../fr/inria/alpage/frmgcm/dpp/Token.html" title="class in fr.inria.alpage.frmgcm.dpp">Token</a>&nbsp;currentToken,
                          int[][]&nbsp;expectedTokenSequences,
                          java.lang.String[]&nbsp;tokenImage)</pre>
<div class="block">It uses "currentToken" and "expectedTokenSequences" to generate a parse
 error message and returns it.  If this object has been created
 due to a parse error, and you do not catch it (it gets thrown
 from the parser) the correct error message
 gets displayed.</div>
</li>
</ul>
<a name="add_escapes(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>add_escapes</h4>
<pre>static&nbsp;java.lang.String&nbsp;add_escapes(java.lang.String&nbsp;str)</pre>
<div class="block">Used to convert raw characters to their escaped version
 when these raw version cannot be used as part of an ASCII
 string literal.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ParseException.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/Node.html" title="interface in fr.inria.alpage.frmgcm.dpp"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/dpp/SimpleCharStream.html" title="class in fr.inria.alpage.frmgcm.dpp"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/dpp/ParseException.html" target="_top">Frames</a></li>
<li><a href="ParseException.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
